Package org.silverpeas.components.webpages.model

## Class WebPagesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.silverpeas.kernel.SilverpeasException
      - - org.silverpeas.core.exception.SilverpeasException
        - - org.silverpeas.components.webpages.model.WebPagesException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

      public class WebPagesException
      extends org.silverpeas.core.exception.SilverpeasException

  Author:
    sdevolder
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebPagesException​(String callingClass, int errorLevel, String message)` |
    `WebPagesException​(String callingClass, int errorLevel, String message, Exception nested)` |
    `WebPagesException​(String callingClass, int errorLevel, String message, String extraParams)` |
    `WebPagesException​(String callingClass, int errorLevel, String message, String extraParams, Exception nested)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getModule()` |

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasException

      `getChainedExceptions, getErrorLevel, getExtraInfos, getMessageLang, getMessageLang, getNested, printStackTrace, printStackTrace, printStackTrace, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebPagesException

          public WebPagesException​(String callingClass,
                                   int errorLevel,
                                   String message)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -

    - #### WebPagesException

          public WebPagesException​(String callingClass,
                                   int errorLevel,
                                   String message,
                                   Exception nested)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -
        `nested` -

    - #### WebPagesException

          public WebPagesException​(String callingClass,
                                   int errorLevel,
                                   String message,
                                   String extraParams)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -
        `extraParams` -

    - #### WebPagesException

          public WebPagesException​(String callingClass,
                                   int errorLevel,
                                   String message,
                                   String extraParams,
                                   Exception nested)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -
        `extraParams` -
        `nested` -

  - ### Method Detail

    - #### getModule

          public String getModule()

      Specified by:
        `getModule` in interface `org.silverpeas.core.exception.FromModule`
      Specified by:
        `getModule` in class `org.silverpeas.core.exception.SilverpeasException`